import { a as Connection } from './Item-f4cbd6f4.js';
import './_commonjsHelpers-9943807e.js';
import './index-1f953d81.js';

class Log {
    constructor(connection) {
        this.connection = connection;
    }
    async list(merchants) {
        return this.connection.get("monitor/log" + (merchants ? "?merchants=" + merchants : ""));
    }
    static open(url, key) {
        const connection = Connection.open(url, key);
        return connection && new Log(connection);
    }
}

export { Log };
